From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 16 Jul 2019 17:30:38 +0200
Subject: [PATCH] Fix build with boost-1.70 (get_io_service() removed)

Fixes https://github.com/supercollider/supercollider/issues/4490
---

--- a/server/supernova/sc/sc_osc_handler.cpp.orig	2019-07-17 17:21:53.737170023 +0200
+++ b/server/supernova/sc/sc_osc_handler.cpp	2019-07-17 17:26:05.526724588 +0200
@@ -888,7 +888,7 @@
 
 void sc_osc_handler::start_tcp_accept(void)
 {
-    tcp_connection::pointer new_connection = tcp_connection::create(tcp_acceptor_.get_io_service());
+    tcp_connection::pointer new_connection = tcp_connection::create((boost::asio::io_context&)tcp_acceptor_.get_executor().context());
 
     tcp_acceptor_.async_accept(new_connection->socket(),
                                boost::bind(&sc_osc_handler::handle_tcp_accept, this, new_connection,

From ac06f3763bee50025299f5b1d2bd66aa3090eea6 Mon Sep 17 00:00:00 2001
From: Andreas Sturmlechner <asturm@gentoo.org>
Date: Tue, 16 Jul 2019 17:47:44 +0200
Subject: [PATCH] Fix build with boost-1.70 (missing checked_delete.hpp
 include)

See also: https://www.boost.org/doc/libs/1_70_0/libs/core/doc/html/core/checked_delete.html
---
 server/supernova/utilities/utils.hpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/server/supernova/utilities/utils.hpp b/server/supernova/utilities/utils.hpp
index 35b8ab5ada..a7c191f2db 100644
--- a/server/supernova/utilities/utils.hpp
+++ b/server/supernova/utilities/utils.hpp
@@ -23,6 +23,7 @@
 
 #include <type_traits>
 
+#include <boost/checked_delete.hpp>
 #include <boost/intrusive_ptr.hpp>
 #include <boost/noncopyable.hpp>
 #include <boost/detail/atomic_count.hpp>

